Package fr.gouv.vitam.security.internal.rest.server

# Class InternalSecurityConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.security.internal.rest.server.InternalSecurityConfiguration

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class InternalSecurityConfiguration extends DbConfigurationImpl
configuration file on identity server.

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalSecurityConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPersonalCertificatePermissionConfig()`
  `void`
  `setPersonalCertificatePermissionConfig(String personalCertificatePermissionConfig)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, getJettyConfig, isAuthentication, isTenantFilter, setAuthentication, setBaseUri, setBaseUrl, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### InternalSecurityConfiguration

    public InternalSecurityConfiguration()

- ## Method Details

  - ### getPersonalCertificatePermissionConfig

    public String getPersonalCertificatePermissionConfig()

  - ### setPersonalCertificatePermissionConfig

    public void setPersonalCertificatePermissionConfig(String personalCertificatePermissionConfig)